{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node",
            "request": "launch",
            "name": "Launch Program",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/bin/www"
        },
        {
            "name": "Debug CRA Tests",
            "type": "node",
            "request": "launch",
            "args": ["test", "--runInBand", "--no-cache", "--watchAll=false"],
            "cwd": "${workspaceRoot}",
            "protocol": "inspector",
            "console": "integratedTerminal",
            "internalConsoleOptions": "neverOpen",
            "env": {
              "CI": "true"
            },
            "disableOptimisticBPs": true
          }
    ]
}